UpsertEntityFeature
curl --request POST \
--url https://developer.synq.io/api/entities/custom/v1/features \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feature": {
"entityId": {
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
},
"checkCategory": {
"kind": "<string>",
"package": "<string>",
"category": "<string>"
},
"workspace": "<string>",
"featureId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://developer.synq.io/api/entities/custom/v1/features"
payload = { "feature": {
"entityId": { "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} },
"checkCategory": {
"kind": "<string>",
"package": "<string>",
"category": "<string>"
},
"workspace": "<string>",
"featureId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feature: {
entityId: {airflowDag: {integrationId: '<string>', dagId: '<string>'}},
checkCategory: {kind: '<string>', package: '<string>', category: '<string>'},
workspace: '<string>',
featureId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://developer.synq.io/api/entities/custom/v1/features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.entities.custom.v1.FeaturesService
UpsertEntityFeature
Create or update an entity. If the entity does not exist, it will be created, otherwise it will be updated. Entities are identified and deduplicated by their Identifier in a scope of a given customer workspace.
POST
/
api
/
entities
/
custom
/
v1
/
features
UpsertEntityFeature
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The feature to create or update.
- Feature
- Feature
- Feature
- Feature
- Feature
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type UpsertEntityFeatureResponse · object.
⌘I